Sådan aktiveres ældre udvidelser i Firefox 57

Hvis du bruger Firefox Nightly lige nu, har du måske bemærket, at den seneste opdatering af webbrowseren deaktiverede alle ældre tilføjelser.

Firefox Nightly er den første version af Firefox webbrowser, der ramte version 57, den version af Firefox der falder støtte til såkaldte legacy-tilføjelser til fordel for WebExtensions .

Natten er den banebrydende version af Firefox-browseren. Udviklingen lander i Nightly først, flyttes derefter til Beta, før den lander i udgivelsesversionerne.

Ældre supportudvidelse vil blive droppet, når Beta-versionen opdateres til version 57 den 10. oktober 2017, og når Release-versionen af Firefox opdateres til version 57 den 14. november 2017 .

Nightly er speciel, da brugere af Firefox Nightly kan omgå begrænsningen, der blokerer brugen af ​​ældre udvidelser i browseren. Kontakten er ikke en del af Firefox Beta eller Release.

Ældre udvidelser i Firefox

firefox legacy extensions

Vi talte om indstillinger til at køre ældre udvidelser i Firefox når Firefox 57 er frigivet før; en af ​​mulighederne nævnt i artiklen var at bruge Firefox Nightly og konfigurere den til at køre ældre udvidelser. Det var da ikke klart, hvordan det ville fungere, og denne guide afslører processen for dig.

Bemærk dog, at nogle ældre udvidelser bryder i Firefox 57 og nyere, selvom du aktiverer support til dem. De vigtigste årsager hertil er ændringer i kode, som udvidelser er afhængige af for funktionalitet.

Firefox 57 viser deaktiverede tilføjelser under ældre udvidelser på websiden om: tilføjelser. En 'finde en udskiftning' -mulighed vises ved siden af ​​hver ældre udvidelse. Et klik omdirigerer brugere til Mozillas AMO-websted, hvor erstatnings WebExtensions er vist.

Dette fungerer ikke ordentligt lige nu, men det kan forventes, når Nightly er en udviklingsversion. Ét problem med alternativet til udskiftning er, at der ikke er udskiftninger til nogle ældre tilføjelser.

Classic Theme Restorer er et fremragende eksempel, da WebExtensions ikke kan gentage funktionaliteten af ​​Firefox legacy-tilføjelsen.

Aktivér ældre udvidelser i Firefox Nightly

firefox extensions legacy enabled

For at aktivere ældre udvidelser i Firefox Nightly skal du gøre følgende:

  1. belastning om:? config filter = extensions.legacy.enabled i Firefox-adresselinjen.
  2. Dobbeltklik på extensions.legacy.enabled for at indstille præference til rigtigt .
  3. Genstart Firefox webbrowser.

Du aktiverer support til ældre udvidelser i Firefox Nightly, hvis du indstiller præference til sand. Standardværdien er falsk, hvilket betyder, at ældre udvidelser ikke er aktiveret.

Din tur : Hvis du bruger Firefox, hvad skal du gøre, når browseren rammer version 57?